Fency.ai
Memories

Update memory

PATCH
/v1/memories/{memoryId}

Update an existing memory.

Authorization

bearerAuth
AuthorizationBearer <token>

Provide your secret key as Authorization: Bearer sk_....

In: header

Path Parameters

memoryId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for updating an existing memory.

Response Body

application/json

curl -X PATCH "https://example.com/v1/memories/string" \  -H "Content-Type: application/json" \  -d '{    "title": "Updated Memory Title",    "text": "Updated content for the memory.",    "metadata": {      "organization_id": "org_1234567890",      "allowed_roles": [        "Admin",        "Member"      ],      "size": 1337,      "is_available": true,      "mean_score": 3.14    }  }'
{  "id": "mem_cf4fe6caa10b4009a8b103d2d5d64042",  "createdAt": "2024-04-08T17:02:27.887295Z",  "updatedAt": "2024-04-08T17:02:27.887295Z",  "sourceType": "TEXT",  "typeId": "mty_cf4fe6caa10b4009a8b103d2d5d64042",  "title": "Example Title",  "content": "This is the full content of the secret memory.",  "contentParts": 1,  "contentStatus": "SYNCHRONIZED",  "metadata": {    "organization_id": "org_1234567890",    "allowed_roles": [      "Admin",      "Member"    ],    "size": 1337,    "is_available": true,    "mean_score": 3.14  }}